Skip to main content
`Ctrl`+`K`

# PetscGetArguments

Allows you to access the command line arguments anywhere after `PetscInitialize()` is called but before `PetscFinalize()`.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscGetArguments(char ***args)

Not Collective

## Output Parameter

- args - the command line arguments

## Note

This does NOT start with the program name and IS `NULL` terminated (final arg is void)

## See Also

`PetscFinalize()`, `PetscInitializeFortran()`, `PetscGetArgs()`, `PetscFreeArguments()`, `PetscInitialize()`

## Level

intermediate

## Location

src/sys/objects/pinit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages